ClientQueueDetail (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management, class: ClientQueueDetail

Package org.apache.geode.management

# Class ClientQueueDetail

java.lang.Object
org.apache.geode.management.ClientQueueDetail

public class ClientQueueDetail extends Object

Since:
  GemFire 8.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClientQueueDetail()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClientId()`
  `long`
  `getEventsConflated()`
  `long`
  `getEventsEnqued()`
  `long`
  `getEventsExpired()`
  `long`
  `getEventsRemoved()`
  `long`
  `getEventsRemovedByQrm()`
  `long`
  `getEventsTaken()`
  `long`
  `getMarkerEventsConflated()`
  `long`
  `getNumVoidRemovals()`
  `long`
  `getQueueSize()`
  `void`
  `setClientId(String clientId)`
  `void`
  `setEventsConflated(long eventsConflated)`
  `void`
  `setEventsEnqued(long eventsEnqued)`
  `void`
  `setEventsExpired(long eventsExpired)`
  `void`
  `setEventsRemoved(long eventsRemoved)`
  `void`
  `setEventsRemovedByQrm(long eventsRemovedByQrm)`
  `void`
  `setEventsTaken(long eventsTaken)`
  `void`
  `setMarkerEventsConflated(long markerEventsConflated)`
  `void`
  `setNumVoidRemovals(long numVoidRemovals)`
  `void`
  `setQueueSize(long queueSize)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClientQueueDetail

    public ClientQueueDetail()

- ## Method Details

  - ### getClientId

    public String getClientId()

  - ### setClientId

    public void setClientId(String clientId)

  - ### getQueueSize

    public long getQueueSize()

  - ### setQueueSize

    public void setQueueSize(long queueSize)

  - ### getEventsEnqued

    public long getEventsEnqued()

  - ### setEventsEnqued

    public void setEventsEnqued(long eventsEnqued)

  - ### getEventsRemoved

    public long getEventsRemoved()

  - ### setEventsRemoved

    public void setEventsRemoved(long eventsRemoved)

  - ### getEventsConflated

    public long getEventsConflated()

  - ### setEventsConflated

    public void setEventsConflated(long eventsConflated)

  - ### getMarkerEventsConflated

    public long getMarkerEventsConflated()

  - ### setMarkerEventsConflated

    public void setMarkerEventsConflated(long markerEventsConflated)

  - ### getEventsExpired

    public long getEventsExpired()

  - ### setEventsExpired

    public void setEventsExpired(long eventsExpired)

  - ### getEventsRemovedByQrm

    public long getEventsRemovedByQrm()

  - ### setEventsRemovedByQrm

    public void setEventsRemovedByQrm(long eventsRemovedByQrm)

  - ### getEventsTaken

    public long getEventsTaken()

  - ### setEventsTaken

    public void setEventsTaken(long eventsTaken)

  - ### getNumVoidRemovals

    public long getNumVoidRemovals()

  - ### setNumVoidRemovals

    public void setNumVoidRemovals(long numVoidRemovals)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`